# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'custom_board.ui'
#
# Created by: PyQt5 UI code generator 5.15.4
#
# WARNING: Any manual changes made to this file will be lost when pyuic5 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt5 import QtCore, QtGui, QtWidgets


class Ui_CustomBoard(object):
    def setupUi(self, CustomBoard):
        CustomBoard.setObjectName("CustomBoard")
        CustomBoard.resize(357, 541)
        self.centralwidget = QtWidgets.QWidget(CustomBoard)
        self.centralwidget.setObjectName("centralwidget")
        self.save_btn = QtWidgets.QPushButton(self.centralwidget)
        self.save_btn.setGeometry(QtCore.QRect(90, 430, 171, 51))
        self.save_btn.setToolTipDuration(1)
        self.save_btn.setObjectName("save_btn")
        self.label = QtWidgets.QLabel(self.centralwidget)
        self.label.setGeometry(QtCore.QRect(9, 69, 111, 16))
        self.label.setObjectName("label")
        self.label_2 = QtWidgets.QLabel(self.centralwidget)
        self.label_2.setGeometry(QtCore.QRect(9, 21, 111, 16))
        self.label_2.setObjectName("label_2")
        self.label_3 = QtWidgets.QLabel(self.centralwidget)
        self.label_3.setGeometry(QtCore.QRect(9, 118, 111, 16))
        self.label_3.setObjectName("label_3")
        self.label_5 = QtWidgets.QLabel(self.centralwidget)
        self.label_5.setGeometry(QtCore.QRect(10, 220, 111, 16))
        self.label_5.setObjectName("label_5")
        self.label_6 = QtWidgets.QLabel(self.centralwidget)
        self.label_6.setGeometry(QtCore.QRect(10, 270, 111, 16))
        self.label_6.setObjectName("label_6")
        self.label_7 = QtWidgets.QLabel(self.centralwidget)
        self.label_7.setGeometry(QtCore.QRect(10, 320, 111, 16))
        self.label_7.setObjectName("label_7")
        self.label_8 = QtWidgets.QLabel(self.centralwidget)
        self.label_8.setGeometry(QtCore.QRect(10, 370, 111, 16))
        self.label_8.setObjectName("label_8")
        self.label_9 = QtWidgets.QLabel(self.centralwidget)
        self.label_9.setGeometry(QtCore.QRect(10, 170, 111, 16))
        self.label_9.setObjectName("label_9")
        self.host_ip = QtWidgets.QLineEdit(self.centralwidget)
        self.host_ip.setGeometry(QtCore.QRect(130, 20, 211, 21))
        self.host_ip.setObjectName("host_ip")
        self.host_user = QtWidgets.QLineEdit(self.centralwidget)
        self.host_user.setGeometry(QtCore.QRect(130, 70, 211, 21))
        self.host_user.setObjectName("host_user")
        self.host_pw = QtWidgets.QLineEdit(self.centralwidget)
        self.host_pw.setGeometry(QtCore.QRect(130, 120, 211, 21))
        self.host_pw.setObjectName("host_pw")
        self.mpro_port = QtWidgets.QLineEdit(self.centralwidget)
        self.mpro_port.setGeometry(QtCore.QRect(130, 170, 211, 21))
        self.mpro_port.setObjectName("mpro_port")
        self.bmc_ip = QtWidgets.QLineEdit(self.centralwidget)
        self.bmc_ip.setGeometry(QtCore.QRect(130, 220, 211, 21))
        self.bmc_ip.setObjectName("bmc_ip")
        self.nps_ip = QtWidgets.QLineEdit(self.centralwidget)
        self.nps_ip.setGeometry(QtCore.QRect(130, 270, 211, 21))
        self.nps_ip.setObjectName("nps_ip")
        self.nps_plug1 = QtWidgets.QLineEdit(self.centralwidget)
        self.nps_plug1.setGeometry(QtCore.QRect(130, 320, 211, 21))
        self.nps_plug1.setObjectName("nps_plug1")
        self.nps_plug2 = QtWidgets.QLineEdit(self.centralwidget)
        self.nps_plug2.setGeometry(QtCore.QRect(130, 370, 211, 21))
        self.nps_plug2.setObjectName("nps_plug2")
        CustomBoard.setCentralWidget(self.centralwidget)
        self.menubar = QtWidgets.QMenuBar(CustomBoard)
        self.menubar.setGeometry(QtCore.QRect(0, 0, 357, 24))
        self.menubar.setObjectName("menubar")
        CustomBoard.setMenuBar(self.menubar)
        self.statusbar = QtWidgets.QStatusBar(CustomBoard)
        self.statusbar.setObjectName("statusbar")
        CustomBoard.setStatusBar(self.statusbar)

        self.retranslateUi(CustomBoard)
        QtCore.QMetaObject.connectSlotsByName(CustomBoard)

    def retranslateUi(self, CustomBoard):
        _translate = QtCore.QCoreApplication.translate
        CustomBoard.setWindowTitle(_translate("CustomBoard", "Config Board Connection Info"))
        self.save_btn.setText(_translate("CustomBoard", "SAVE & CONNECT"))
        self.label.setText(_translate("CustomBoard", "<html><head/><body><p><span style=\" color:#ef2929;\">HOST USER:</span></p></body></html>"))
        self.label_2.setText(_translate("CustomBoard", "<html><head/><body><p><span style=\" color:#ef2929;\">HOST IP:</span></p></body></html>"))
        self.label_3.setText(_translate("CustomBoard", "<html><head/><body><p><span style=\" color:#ef2929;\">HOST PASSWD:</span></p></body></html>"))
        self.label_5.setText(_translate("CustomBoard", "<html><head/><body><p><span style=\" color:#ff0000;\">BMC IP:</span></p></body></html>"))
        self.label_6.setText(_translate("CustomBoard", "<html><head/><body><p><span style=\" color:#ef2929;\">NPS IP:</span></p></body></html>"))
        self.label_7.setText(_translate("CustomBoard", "<html><head/><body><p><span style=\" color:#ef2929;\">NPS PLUG1:</span></p></body></html>"))
        self.label_8.setText(_translate("CustomBoard", "<html><head/><body><p><span style=\" color:#ef2929;\">NPS PLUG2:</span></p></body></html>"))
        self.label_9.setText(_translate("CustomBoard", "<html><head/><body><p><span style=\" color:#ff0000;\">MPRO PORT</span></p></body></html>"))
